.TH wxPrintout 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxPrintout \- See external documentation: wxPrintout\&.
.SH DESCRIPTION
.LP
See external documentation: wxPrintout <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxPrintout()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Title::string(), OnPrintPage::function()) -> wxPrintout() (see module wxPrintout)
.br
.RS
.LP
@equiv new(Title, OnPrintPage, [])
.RE
.LP
.B
new(Title::string(), OnPrintPage::function(), Opts::[Option]) -> wxPrintout() (see module wxPrintout)
.br
.RS
.TP
Types
Option = {onPreparePrinting, OnPreparePrinting::function()} | {onBeginPrinting, OnBeginPrinting::function()} | {onEndPrinting, OnEndPrinting::function()} | {onBeginDocument, OnBeginDocument::function()} | {onEndDocument, OnEndDocument::function()} | {hasPage, HasPage::function()} | {getPageInfo, GetPageInfo::function()}
.br
.RE
.RS
.LP
Creates a wxPrintout object with a callback fun and optionally other callback funs\&.
.br
 

.nf
OnPrintPage(This,Page) -> boolean() 
.fi

.nf
OnPreparePrinting(This) -> term()   
.fi

.nf
OnBeginPrinting(This) -> term()   
.fi

.nf
OnEndPrinting(This) -> term()   
.fi

.nf
OnBeginDocument(This,StartPage,EndPage) -> boolean()  
.fi

.nf
OnEndDocument(This) -> term()  
.fi

.nf
HasPage(This,Page)} -> boolean()   
.fi

.nf
GetPageInfo(This) -> {MinPage:\&.integer(), MaxPage::integer(), PageFrom::integer(), PageTo::integer()}  
.fi
.LP
The \fIThis\fR argument is the wxPrintout object reference to this object 
.br
 NOTE: The callbacks may not call other processes\&.
.RE
.LP
.B
getDC(This::wxPrintout()) -> wxDC() (see module wxDC)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutgetdc>\&.
.RE
.LP
.B
getPageSizeMM(This::wxPrintout()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutgetpagesizemm>\&.
.RE
.LP
.B
getPageSizePixels(This::wxPrintout()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutgetpagesizepixels>\&.
.RE
.LP
.B
getPaperRectPixels(This::wxPrintout()) -> {X::integer(), Y::integer(), W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutgetpaperrectpixels>\&.
.RE
.LP
.B
getPPIPrinter(This::wxPrintout()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutgetppiprinter>\&.
.RE
.LP
.B
getPPIScreen(This::wxPrintout()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutgetppiscreen>\&.
.RE
.LP
.B
getTitle(This::wxPrintout()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutgettitle>\&.
.RE
.LP
.B
isPreview(This::wxPrintout()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutispreview>\&.
.RE
.LP
.B
fitThisSizeToPaper(This::wxPrintout(), ImageSize::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutfitthissizetopaper>\&.
.RE
.LP
.B
fitThisSizeToPage(This::wxPrintout(), ImageSize::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutfitthissizetopage>\&.
.RE
.LP
.B
fitThisSizeToPageMargins(This::wxPrintout(), ImageSize::{W::integer(), H::integer()}, PageSetupData::wxPageSetupDialogData() (see module wxPageSetupDialogData)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutfitthissizetopagemargins>\&.
.RE
.LP
.B
mapScreenSizeToPaper(This::wxPrintout()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutmapscreensizetopaper>\&.
.RE
.LP
.B
mapScreenSizeToPage(This::wxPrintout()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutmapscreensizetopage>\&.
.RE
.LP
.B
mapScreenSizeToPageMargins(This::wxPrintout(), PageSetupData::wxPageSetupDialogData() (see module wxPageSetupDialogData)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutmapscreensizetopagemargins>\&.
.RE
.LP
.B
mapScreenSizeToDevice(This::wxPrintout()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutmapscreensizetodevice>\&.
.RE
.LP
.B
getLogicalPaperRect(This::wxPrintout()) -> {X::integer(), Y::integer(), W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutgetlogicalpaperrect>\&.
.RE
.LP
.B
getLogicalPageRect(This::wxPrintout()) -> {X::integer(), Y::integer(), W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutgetlogicalpagerect>\&.
.RE
.LP
.B
getLogicalPageMarginsRect(This::wxPrintout(), PageSetupData::wxPageSetupDialogData() (see module wxPageSetupDialogData)) -> {X::integer(), Y::integer(), W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutgetlogicalpagemarginsrect>\&.
.RE
.LP
.B
setLogicalOrigin(This::wxPrintout(), X::integer(), Y::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutsetlogicalorigin>\&.
.RE
.LP
.B
offsetLogicalOrigin(This::wxPrintout(), Xoff::integer(), Yoff::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintout\&.html#wxprintoutoffsetlogicalorigin>\&.
.RE
.LP
.B
destroy(This::wxPrintout()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
